Module java.desktop
Package javax.swing.text.html

# Class HTMLEditorKit.Parser

java.lang.Object
javax.swing.text.html.HTMLEditorKit.Parser

Direct Known Subclasses:
  `ParserDelegator`

Enclosing class:
  HTMLEditorKit

    public abstract static class HTMLEditorKit.Parser
    extends Object

Interface to be supported by the parser. This enables providing a different parser while reusing some of the implementation provided by this editor kit.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Parser()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`abstract void` | `parse​(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)` | Parse the given stream and drive the given callback with the results of the parse.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parser

public Parser()

## Method Details

### parse

public abstract void parse​(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet) throws IOException
Parse the given stream and drive the given callback with the results of the parse. This method should be implemented to be thread-safe.

Parameters:
  `r` - a reader
  `cb` - a parser callback
  `ignoreCharSet` - if `true` charset is ignoring
Throws:
  `IOException` - if an I/O exception occurs